<?
    include(IPS_GetScriptFile(26008));


    $lActAutoPos = GetValue( cRolladen::Automatik);
    $lNewAutoPos = $lActAutoPos;

    // Freier Tag
    $lIsFreierTag = GetValue( cID::IsFreierTag);

    // Neue Rolladenposition Bestimmen
    // Morgens 6:40  oder 9:30
    // Abends  21:45 oder 23:59

    $CloseTime  = mktime( 21, 45, 0);
    $OpenTime   = mktime( 6,  40, 0);
    // An freien Tagen später öffnen und später schliessen
    if( $lIsFreierTag )
    {
        $CloseTime  = mktime( 23, 59, 0);
        $OpenTime   = mktime( 9,  30, 0);
    }


    $lActTime = time();

    // aktuellen Wert bestimmen
    $IsNight = GetValue(cID::IstNacht);
    $NightObj = IPS_GetVariable(cID::IstNacht);
    // die letzte Änderung musste seit min 5min anstehen
    $lDtLastChange = $lActTime - $NightObj["VariableUpdated"];

    // Es muss seit 15min Tag/Nacht gemeldet worden sein
//  if( $lDtLastChange > 20 * 50 )
    {
        if( $IsNight || ($lActTime > $CloseTime) )
        {
            $lNewAutoPos = true;
        }
        else if( !$IsNight && ($lActTime > $OpenTime) )
        {
            $lNewAutoPos = false;
        }

        // gibt es einen Positionswechsel
        if( $lNewAutoPos != $lActAutoPos )
        {
            // Schaltwechsel -> Position setzen
            IPS_RunScript( 22360 );
        }
    }

?>
